

                            Recipe Maker Ver. 2.13
                               by Nickleware


                                INTRODUCTION

     Recipe Maker is an application that was designed to help make weekly 
grocery shopping, meal planning and recipe organization easier.  With the 
help of Recipe Maker, you will be able to plan out each meal for an entire 
week, and in just minutes have a complete shopping list of items needed to 
make those meals come together.
     Recipe Maker allows you to enter and store all of your recipes.  Once 
your recipes have been stored you can recall and print any one of them in 
just seconds.  Recipe Maker also stores and alphabetizes all of the 
different ingredients and measurements that are necessary to make your meals.


                               REGISTRATION

     Recipe Maker is not public domain, nor is it free software.  You are 
granted a limited license to use this product on a trial basis.  You are 
also granted a license to copy Recipe Maker, along with the  documentation, 
for the trial use by other users.  If you wish to continue using the 
product, you must send $25 to:

                               NickleWare
                             P.O. Box 393
                         Orem, UT.  84059  USA
                        
     If you would like an original disk containing the latest release of 
Recipe Maker, please add $5 for shipping and handling.

     We encourage you to copy Recipe Maker and share it with anyone who 
might be interested in making grocery shopping, meal planning and recipe 
organization easier.



                            GETTING STARTED

          REQUIREMENTS -
               Microsoft Windows 3.0 or higher
               IBM compatible PC 286/386

     Before proceeding, make sure that you have Microsoft Windows correctly 
installed.  Next create a directory called RECIPE and copy the Recipe Maker 
software (RECIPE.EXE) into this directory.  Recipe Maker is ready to be 
started.  Simply start Recipe Maker from the RUN... menu selection of the 
Windows Program Manager or add it to a Program Manager group by following 
the directions in the Windows 3.0 manual for creating a group item.  Recipe 
Maker will then create all of the data files it needs to run, and place 
them on the same drive and path where the software was installed.

     When Recipe Maker is started for the first time, the following entry 
will be placed in the WIN.INI file which is probably in the same directory 
where windows is installed.

          [RECIPE]
          DBPath=<drive>:<path>\

     This tells Recipe Maker where to find the data files.  The key word 
DBPath is set equal to the <drive> and full <path> including the trailing 
backslash, where the Recipe Maker data files will reside.  For example:

          [RECIPE]
          DBPath=C:\Recipe\

     You can change where Recipe Maker looks for the data files by simple 
altering the DBPath.  Then move the datafiles from the directory where they 
were created to the new directory you specified in the DBPath.


                              WHAT ARE LISTS

     The Measurements, Ingredients, and Food Group lists, are really the 
heart of the Recipe Maker database.  These lists act as three separate 
buckets that hold all of the information necessary to put your recipes 
together.  Each time you enter a measurement, ingredient, or food group 
into a recipe, that information is pulled out of the corresponding bucket.  
This concept makes for much easier and faster recipe entry and much less 
effort on your part.  Each of these three lists can be selected from the 
main window FILE menu.


                           LIST WINDOW ACTIONS

     There are several pushbutton actions that are available to you from 
each of the three list windows.

     ADD.  Once a new item has been entered, the ADD pushbutton may be 
clicked.  Recipe Maker then quickly checks the list to make sure that the 
new item is unique.  If it is, Recipe Maker adds the item to the database.  
Otherwise Recipe Maker tells you that you have entered a duplicate.

     CHANGE.  To change an item, highlight the item and click the SELECT 
pushbutton or double click on the item with the mouse.  The selected item 
will appear in the edit box above the list.  Edit the item and then click 
on the CHANGE pushbutton.  Recipe maker then checks the list to make sure 
that the changed item is unique and stores it in the database.

     REMOVE.  To remove an item from a list, highlight it and click the 
SELECT pushbutton or double click on the item with the mouse.  Then choose 
click on the REMOVE pushbutton.  Recipe Maker then asks you to confirm the 
action.  Depending on your response, the action will be completed or 
canceled.


                             MEASUREMENT LIST

     Some of the first entries that must be made before you begin to enter 
your recipes, are the measurements.  These are the different measurements 
that you will use in your recipes.  For example "Cup", Tablespoon", and 
"Gallon" are some of the measurements that might be used.


                             FOOD GROUP LIST

     The food group list is a simple list of the different types of 
ingredients that will be entered into Recipe Maker's ingredients list.  
These groups are such names as "Dairy", "Meats", or "Dry Goods".  By 
entering these food groups, Recipe Maker will be able to keep all of your 
ingredients and shopping lists categorized, which will ultimately help 
make your grocery shopping much easier and quicker.


                             INGREDIENT LIST

     The ingredients list is a list of all of the ingredients needed to 
make your recipes.  Before a recipe can be entered, all of the necessary 
ingredients must be put into the ingredients list.  A food group must  
also be entered along with the ingredient name.


                       RECIPE AND INSTRUCTION CARDS

     When RECIPE CARD is choosen from the main window FILE menu, Recipe 
Maker will display blank recipe and instruction cards.  The recipe card 
consists of the recipe name and description, while the instruction card 
contains the instructions, quantities, measurements, and ingredients.  The 
recipe name, description and instruction fields are text entry fields and 
data can be typed in directly.  Quantities, measurements and ingredients 
are entered in the same way as described previously for a list.

     Before a measurement or ingredient can be entered into a recipe, they 
must first exist in the corresponding lists.  As the cursor is moved between 
the measurement and ingredient fields, Recipe Maker looks up the entry in 
the database and displays the closest match, if one does not match exactly.

     Before an entry is added to the list, each of the three fields must 
contain values.  There may be times when a measurement does not apply.  For 
example, the ingredient "eggs" will usually have a quantity but not a 
measurement.  In this case the word "NONE"  or something similar should be 
entered into the measurements list to indicate that the measurment does 
not apply.  The resulting recipe entry will look like this:

          QUANTITY    MEASUREMENT      INGREDIENT
             2           NONE             EGGS

     After a recipe has been completely entered, it can be added to the 
database by clicking on the SAVE pushbutton on the RECIPE CARD window. 

     Updating a recipe is similar to adding a new one, except all of the 
recipe information already exists on the screen.  When the RECIPE CARD 
window is displayed,  click on the OPEN...pushbutton.  Recipe Maker will 
display a list of all of the recipes that currently exist in the database.  
To select a recipe, simply highlight it and click on the SELECT pushbutton 
or double click on the item.  After a recipe has been selected, all the 
data will be displayed on the recipe and instruction cards.  The recipe can 
then be changed and saved in the same manner as described above.

     To delete a recipe, click on the OPEN... pushbutton, select a recipe, 
and then click on the DELETE pushbutton.  Recipe Maker will delete the 
recipe from the database.

     To print a recipe, click on the OPEN... pushbutton, select a recipe, 
and then click on the PRINT pushbutton.  Recipe Maker will format the recipe
information and print it.


                         WEEKLY PLAN AND SHOPPING LIST

     The WEEKLY PLAN window allows you to plan out an entire week of meals 
and have Recipe Maker compile a shopping list to match your plan.  Once 
this selection has been made, Recipe Maker will display a window containing 
a list for each day of the week plus a miscellaneous list, and a list of 
all of the recipes in the database.  The way to plan out a week is to 
highlight a recipe in the recipe list, and click on one of the weekday 
pushbuttons.  Recipe Maker will place the name of the selected recipe in 
that day's list.  When you have finished planning the week, click on the 
CREATE LIST pushbutton.  Recipe Maker will compile a list of all the 
ingredients needed to make the selected recipes.

     If you have just created the shopping list from the WEEKLY PLAN window, 
you will most likely want to edit or add to it.  After selecting the 
SHOPPING LIST window, Recipe Maker will display the shopping list and give 
you the option to add, change or remove any item, or print the list.  You 
also have the option to indicate the quantity to buy.  Once the shopping 
list has been edited completely, it is then ready to be printed.  Turn 
your printer on and click on the PRINT pushbutton.  Recipe Maker will then 
categorize the list by food group and print out your shopping list.


                                  WHAT IF...

     The What If... window allows you to have Recipe Maker make recipe 
suggestions based on selected ingredients.  For example, suppose you have 
chicken and rice and would like some recipe suggestions that contain these 
ingredients.  Recipe Maker will quickly search through the recipe database 
and give you a list of all of the recipes that contain one or both of these 
ingredients.

     When the What if... window appears,  you will see two list boxes.  The 
first one contains all of the ingredients currently defined in the 
Ingredients list.  The second is the What if... list box.  Ingredients can 
be moved from the Ingredients list box to the What if... list box by either 
highlighting a selection and clicking on the Move push button, or dragging 
and dropping an ingredient from one list to the other.  Ingredients can be 
removed from the What if... list box in the same manner.  Once all of your 
selections have been moved from the Ingredients list box to the What if... 
list box, click on the Suggest push button.  Recipe Maker will then search 
the recipe database and display a list of all of the matching recipes.  A 
recipe can then be selected in the same manner as described in the Recipe 
and Instruction Card section.


                               SPECIAL FEATURES

     DRAG AND DROP - Whenever an item is being transfered from one list to 
another, the item may dragged and dropped.  This means that an item can be 
selecting with the mouse pointer, and while still holding the mouse button 
down, position the mouse pointer on top of the destination entry field.  
When the mouse button is released the selected item will appear in the 
entry field.  For example, if an ingredient is being added to a recipe, the 
ingredient can be dragged and dropped from the ingredients list to the 
ingredient field on the instruction card.

     CLIPBOARD - The clipboard is a convenient way of transferring data 
between Recipe Maker and other Windows application or between different 
Recipe Maker windows.  To use the clipboard functions simply highlight any 
text that is displayed in an entry field, pull down the EDIT menu and 
choose COPY or CUT.  The COPY function will place a copy of the highlighted 
text in the Windows clipboard.  The CUT function also places the highlighted 
text in the clipboard but also removes it from the entry field.  To retrieve 
text from the clipboard, place the cursor at the position inside an entry 
field where the clipboard text should be inserted or appended.  Then pull 
down the EDIT menu and choose PASTE.  The clipboard text will be placed in 
the entry field at the cursor position.


                                 ENHANCEMENTS

     The following is a list of the new features and enhancements that 
have been included in version 2.0 of Recipe Maker:
     o Addition of the What If... function for recipe suggestions.
     o Addition of Windows 3.0 Help Manager
     o Proportional system font.
     o Increased capacity of Ingredients, Measurements and Food Groups list 
          boxes.
     o Printing has been improved so that recipe descriptions and 
          instructions will print beyond a single page.
     o Dialog menus have been replaced with pushbuttons to allow for easier 
          access.
     o The Divide by Zero error when pulling down the Edit menu has been 
          fixed.
     o Recipe Maker is fully Windows 3.0 compatible.
     o Color icons.

     The following is a list of the new features and enhancements that have 
been included in version 2.11 of Recipe Maker:
     o Ability to print the Weekly Plan.
     o WIN.INI file is updated automatically on startup.
     o Application exiting on a save under Windows 3.1 bug fixed.



                                   EXITING

     When you have finished using Recipe Maker, you should exit via the 
EXIT from the main window's FILE menu.  If you forget and turn your 
computer off before exiting, Recipe Maker can not guarantee that your 
recipes have been saved completely.  It is very important that you always 
exit Recipe Maker via this selection.

                      GOOD LUCK AND EASY SHOPPING!!!


NickleWare
Copyright (C) 1990-92 Bradley Nicholes
CompuServe: 72730,1002

This documentation must accompany the Recipe Maker software. 

NickleWare or Bradley Nicholes shall not be liable for any damages, 
whether direct, indirect, special or consequential arising from the use 
or failure of this program to operate in the manner desired by the user.

